Leetcode Biweekly 121 | Count Number of Powerful Integers | Coding with Bharat | Recursion Digit DP

Recently there was a Leetcode Biweekly Contest 121 where we had this problem: "Count Number of Powerful Integers". We have discussed:
1. Brute Force and Why it doesn't work
2. Conversion to Recursion and maths to solve the problem
3. Thoughts on Digit DP and how it evolves with something similar.
Connect on Insta: / bharatkhanna1995
Connect on Linkedin: / bharat-khanna-717b4817b
Timestamps:
0:00 - Introduction
0:42 - Problem Statements
4:02 - Improvement on Brute Force
5:22 - Left to Right Approach
8:04 - Example solving using Permutation and Combination
13:30 - Recursive Solution
17:50 - Code
24:40 - Ideas for similar questions (Digit DP)

Пікірлер: 7

  • @CodingwithBharat
    @CodingwithBharat6 ай бұрын

    Solution for the Problem: ideone.com/BUeznK (C++) ideone.com/Da2VD6 (Python) ideone.com/povIqt (Java)

  • @USknows
    @USknows6 ай бұрын

    Always 🔥

  • @CodingwithBharat

    @CodingwithBharat

    6 ай бұрын

    🙏🙏

  • @tarangkapoor8743
    @tarangkapoor87436 ай бұрын

    Big fan sir😮

  • @CodingwithBharat

    @CodingwithBharat

    6 ай бұрын

    Thanks 😁

  • @ThatLLMGuy
    @ThatLLMGuy6 ай бұрын

    Awesome explanations

  • @CodingwithBharat

    @CodingwithBharat

    6 ай бұрын

    Thanks 😁🙏

Келесі